# DataGridViewRowEventHandler

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Represents the method that will handle row-related events of a [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public delegate void DataGridViewRowEventHandler(Object sender, DataGridViewRowEventArgs e)
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Delegate Sub DataGridViewRowEventHandler(ByVal sender As [Object], ByVal e As DataGridViewRowEventArgs)
```

{% endtab %}
{% endtabs %}

## Parameters

| Name       | Type                                                                                                          | Description                                                                                                                                   |
| ---------- | ------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------- |
| **sender** | [Object](https://docs.microsoft.com/dotnet/api/system.object)                                                 | The source of the event.                                                                                                                      |
| **e**      | [DataGridViewRowEventArgs](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewroweventargs.md) | A [DataGridViewRowEventArgs](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewroweventargs.md) that contains the event data. |

## Fired By

| Name                                                                                                           | Description                                                                                                                                                                                                                                                                                                |
| -------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DataGridView.DefaultValuesNeeded](/api/wisej.web/lists-and-grids/datagridview.md#defaultvaluesneeded)         | Fired when the user enters the row for new records so that it can be populated with default values.                                                                                                                                                                                                        |
| [DataGridView.NewRowNeeded](/api/wisej.web/lists-and-grids/datagridview.md#newrowneeded)                       | Fired when the [VirtualMode](/api/wisej.web/lists-and-grids/datagridview.md#virtualmode) property of the [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md) is true and the user navigates to the new row at the bottom of the [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md). |
| [DataGridView.RowErrorTextChanged](/api/wisej.web/lists-and-grids/datagridview.md#rowerrortextchanged)         | Fired when the [ErrorText](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md#errortext) property of a row changes.                                                                                                                                                                  |
| [DataGridView.RowHeightChanged](/api/wisej.web/lists-and-grids/datagridview.md#rowheightchanged)               | Fired when the value of the [Height](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md#height) property for a row changes.                                                                                                                                                          |
| [DataGridView.RowMaximumHeightChanged](/api/wisej.web/lists-and-grids/datagridview.md#rowmaximumheightchanged) | Fired when the value of the [MaximumHeight](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md#maximumheight) property for a row changes.                                                                                                                                            |
| [DataGridView.RowMinimumHeightChanged](/api/wisej.web/lists-and-grids/datagridview.md#rowminimumheightchanged) | Fired when the value of the [MinimumHeight](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md#minimumheight) property for a row changes.                                                                                                                                            |
| [DataGridView.UserAddedRow](/api/wisej.web/lists-and-grids/datagridview.md#useraddedrow)                       | Fired when the user has finished adding a row to the [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md) control.                                                                                                                                                                               |
| [DataGridView.UserDeletedRow](/api/wisej.web/lists-and-grids/datagridview.md#userdeletedrow)                   | Fired when the user has finished deleting a row from the [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md) control.                                                                                                                                                                           |
| [DataGridView.RowExpanded](/api/wisej.web/lists-and-grids/datagridview.md#rowexpanded)                         | Fired when a parent row is expanded.                                                                                                                                                                                                                                                                       |
| [DataGridView.RowCollapsed](/api/wisej.web/lists-and-grids/datagridview.md#rowcollapsed)                       | Fired when a parent row is collapsed.                                                                                                                                                                                                                                                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewroweventhandler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
